org.apache.http.client.params

## Class AuthPolicy

- java.lang.Object
- - org.apache.http.client.params.AuthPolicy

- Deprecated.
  (4.3) use `AuthSchemes`.

      @Deprecated
      public final class AuthPolicy
      extends Object

  Standard authentication schemes supported by HttpClient.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASIC` Deprecated. Basic authentication scheme as defined in RFC2617 (considered inherently insecure, but most widely supported)
    `static String` | `DIGEST` Deprecated. Digest authentication scheme as defined in RFC2617.
    `static String` | `KERBEROS` Deprecated. Kerberos Authentication scheme.
    `static String` | `NTLM` Deprecated. The NTLM scheme is a proprietary Microsoft Windows Authentication protocol (considered to be the most secure among currently supported authentication schemes).
    `static String` | `SPNEGO` Deprecated. SPNEGO Authentication scheme.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NTLM

          public static final String NTLM

      Deprecated.
      The NTLM scheme is a proprietary Microsoft Windows Authentication protocol (considered to be the most secure among currently supported authentication schemes).
      See Also:
        Constant Field Values

    - #### DIGEST

          public static final String DIGEST

      Deprecated.
      Digest authentication scheme as defined in RFC2617.
      See Also:
        Constant Field Values

    - #### BASIC

          public static final String BASIC

      Deprecated.
      Basic authentication scheme as defined in RFC2617 (considered inherently insecure, but most widely supported)
      See Also:
        Constant Field Values

    - #### SPNEGO

          public static final String SPNEGO

      Deprecated.
      SPNEGO Authentication scheme.
      Since:
        4.1
      See Also:
        Constant Field Values

    - #### KERBEROS

          public static final String KERBEROS

      Deprecated.
      Kerberos Authentication scheme.
      Since:
        4.2
      See Also:
        Constant Field Values

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.